@charset "utf-8";

/*━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
  Author : Hirohisa Kambe
  Date : 2026.03.26
  Copyright(C)HARD DISK. All rights reserved.
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━*/

/* ========================
   utility
======================== */

/* clearfix */
.clearfix::after {
	content: "";
	display: table;
	clear: both;
}

/* ========================
   text
======================== */
.al { text-align: left !important; }
.ar { text-align: right !important; }
.ac { text-align: center !important; }

/* ========================
   font
======================== */
.b { font-weight: bold !important; font-weight: 800 !important; }
.fw400 { font-weight: 400 !important; }
.fw600 { font-weight: 600 !important; }
.f92 { font-size: 90% !important }
.f62 { font-size: 62% !important }

/* ========================
   color
======================== */
.white { color: #fff !important; }
.black { color: #000 !important; }
.gray { color: #b0b0b0 !important; }
.red { color: #f60000 !important; }
.blue { color: #095ca7 !important; }

/* background */
.bgWhite { background-color: #fff !important; }
.bgBlack { background-color: #000 !important; }
.bgGray { background-color: #ebf1f2 !important; }

/* ========================
   display
======================== */
.d-block { display: block !important; }
.d-none { display: none !important; }

/* ========================
   position
======================== */
.pos-r { position: relative !important; }
.pos-a { position: absolute !important; }

/* ========================
   margin
======================== */
.mt00 { margin-top: 0 !important; }
.mt05 { margin-top: 5px !important; }
.mt10 { margin-top: 10px !important; }
.mt20 { margin-top: 20px !important; }
.mt30 { margin-top: 30px !important; }
.mt40 { margin-top: 40px !important; }
.mt50 { margin-top: 50px !important; }

.mb00 { margin-bottom: 0 !important; }
.mb05 { margin-bottom: 5px !important; }
.mb10 { margin-bottom: 10px !important; }
.mb20 { margin-bottom: 20px !important; }
.mb30 { margin-bottom: 30px !important; }
.mb40 { margin-bottom: 40px !important; }
.mb50 { margin-bottom: 50px !important; }
.mb60 { margin-bottom: 60px !important; }

/* ========================
   padding
======================== */
.pt00 { padding-top: 0 !important; }
.pt05 { padding-top: 5px !important; }
.pt10 { padding-top: 10px !important; }
.pt20 { padding-top: 20px !important; }
.pt30 { padding-top: 30px !important; }

.pb00 { padding-bottom: 0 !important; }
.pb05 { padding-bottom: 5px !important; }
.pb10 { padding-bottom: 10px !important; }
.pb20 { padding-bottom: 20px !important; }
.pb30 { padding-bottom: 30px !important; }

/* ========================
   width
======================== */
.wid100P { width: 100% !important; height: auto; }
.wid90P { width: 90% !important; height: auto; }
.wid80px { width: 80px !important; height: auto; }

/* ========================
   border
======================== */
.ba01 { border: 1px solid #b0b0b0 !important; }
.bt01 { border-top: 1px solid #b0b0b0 !important; }
.bb01 { border-bottom: 1px solid #b0b0b0 !important; }

/* ========================
   radius
======================== */
.br03 { border-radius: 3px !important; }
.br05 { border-radius: 5px !important; }
.br10 { border-radius: 10px !important; }

/* ========================
   helper
======================== */
.m-auto {
	margin-left: auto !important;
	margin-right: auto !important;
}

.ofh { overflow: hidden !important; }